libetonyek::IWORKTextLabelElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKTextLabelElement Class Reference

`#include <IWORKTextLabelElement.h>`

Inheritance diagram for libetonyek::IWORKTextLabelElement:

## Public Member Functions
| IWORKTextLabelElement (IWORKXMLParserState &state, boost::optional< IWORKListLabelTypeInfo_t > &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
void | endOfElement () override

## Private Attributes
boost::optional< IWORKListLabelTypeInfo_t > & | m_value
bool | m_bullet
boost::optional< IWORKLabelNumFormat > | m_type
std::string | m_format
boost::optional< unsigned > | m_first

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKTextLabelElement()

libetonyek::IWORKTextLabelElement::IWORKTextLabelElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKListLabelTypeInfo_t > & | value
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKTextLabelElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKTextLabelElement::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_bullet

bool libetonyek::IWORKTextLabelElement::m_bullet
| private

Referenced by attribute(), and endOfElement().

## ◆ m_first

boost::optional<unsigned> libetonyek::IWORKTextLabelElement::m_first
| private

Referenced by attribute(), and endOfElement().

## ◆ m_format

std::string libetonyek::IWORKTextLabelElement::m_format
| private

Referenced by attribute(), and endOfElement().

## ◆ m_type

boost::optional<IWORKLabelNumFormat> libetonyek::IWORKTextLabelElement::m_type
| private

Referenced by attribute(), and endOfElement().

## ◆ m_value

boost::optional<IWORKListLabelTypeInfo_t>& libetonyek::IWORKTextLabelElement::m_value
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- IWORKTextLabelElement.h
- IWORKTextLabelElement.cpp